mode(1)
//
// Demo of uncprb_getgrdfd.sci
//

// Get Jfd at x0 for Rosenbrock's test case
nprob = 1
[n,m,x0]=uncprb_getinitf(nprob)
gfd = uncprb_getgrdfd ( n , m , x0 , nprob )
// Compare with exact gradient
g = uncprb_getgrdfcn (n,m,x0,nprob)
norm(g-gfd)/norm(g)
// Set the step
gfd = uncprb_getgrdfd ( n , m , x0 , nprob , 1.e-1 )
// Set the step and the order
gfd = uncprb_getgrdfd ( n , m , x0 , nprob , 1.e-1 , 4 )
// Set the order (use default step)
gfd = uncprb_getgrdfd ( n , m , x0 , nprob , [] , 4 )
// Use default step and order
gfd = uncprb_getgrdfd ( n , m , x0 , nprob , [] , [] )
halt()   // Press return to continue
 
//========= E N D === O F === D E M O =========//
//
// Load this script into the editor
//
filename = "uncprb_getgrdfd.sce";
dname = get_absolute_file_path(filename);
editor ( dname + filename );
