mode(1)
//
// Demo of uncprb_gethesfd.sci
//

// Get Hfd at x0 for Rosenbrock's test case
nprob = 1
[n,m,x0]=uncprb_getinitf(nprob)
Hfd = uncprb_gethesfd ( n , m , x0 , nprob )
// Compare with exact Hessian
H = uncprb_gethesfcn(n,m,x0,nprob)
norm(H-Hfd)/norm(H)
// Set the step
Hfd = uncprb_gethesfd ( n , m , x0 , nprob , 1.e-1 , [] )
// Set the step and the order
Hfd = uncprb_gethesfd ( n , m , x0 , nprob , 1.e-1 , 4 )
// Set the order (use default step)
Hfd = uncprb_gethesfd ( n , m , x0 , nprob , [] , 4 )
// Use default step and default order
Hfd = uncprb_gethesfd ( n , m , x0 , nprob , [] , [] )
halt()   // Press return to continue
 
//========= E N D === O F === D E M O =========//
//
// Load this script into the editor
//
filename = "uncprb_gethesfd.sce";
dname = get_absolute_file_path(filename);
editor ( dname + filename );
