mode(1)
//
// Demo of uncprb_getinitpt.sci
//

// Get starting data for Rosenbrock's test case
// n=2, m=2, x=[-1.2,1]'
nprob = 1
[n,m,x]=uncprb_getinitpt(nprob)
halt()   // Press return to continue
 
// Get starting data for Rosenbrock's test case
// Multiplies x0 by 3
[n,m,x]=uncprb_getinitpt(nprob,3)
halt()   // Press return to continue
 
// Get a sequence of starting points,
// increasingly away from the usual one.
nprob = 1
alpha = 5
ntries = 10
fact = 1
for k = 1 : ntries
[n,m,x0]=uncprb_getinitpt(nprob,fact);
fact = alpha * fact;
disp([k x0'])
end
halt()   // Press return to continue
 
// Get a sequence of starting points,
// randomly in the neighbourhood of the usual one.
nprob = 1
ntries = 10
len = 2
[n,m,x0]=uncprb_getinitpt(nprob);
plot ( x0(1) , x0(2) , "ro" )
for k = 1 : ntries
[n,m,x0]=uncprb_getinitpt(nprob);
x0 = x0 + len * (2*rand(n,1)-1);
disp([k x0'])
plot ( x0(1) , x0(2) , "b*" )
end
halt()   // Press return to continue
 
//========= E N D === O F === D E M O =========//
//
// Load this script into the editor
//
filename = "uncprb_getinitpt.sce";
dname = get_absolute_file_path(filename);
editor ( dname + filename );
