mode(1)
//
// Demo of uncprb_getfunc.sci
//

// Get fvec and J at x0 for Rosenbrock's test case
nprob = 1
[n,m,x0]=uncprb_getinitf(nprob)
option = 3
[fvec,J]=uncprb_getfunc(n,m,x0,nprob,option)
halt()   // Press return to continue
 
// See what happens if option=1
option = 1
[fvec,J]=uncprb_getfunc(n,m,x0,nprob,option)
halt()   // Press return to continue
 
// See what happens if option=2
option = 2
[fvec,J]=uncprb_getfunc(n,m,x0,nprob,option)
halt()   // Press return to continue
 
// See what happens if option=4 (the Hessian is available for Rosenbrock's problem)
option = 4
[fvec,J,H]=uncprb_getfunc(n,m,x0,nprob,option)
halt()   // Press return to continue
 
// See the error generated if option=4 for a problem for which the Hessian is not provided:
// the Hessian is NOT available for problem #2.
nprob = 2
[n,m,x0]=uncprb_getinitf(nprob)
option = 4
[fvec,J,H]=uncprb_getfunc(n,m,x0,nprob,option)
halt()   // Press return to continue
 
//========= E N D === O F === D E M O =========//
//
// Load this script into the editor
//
filename = "uncprb_getfunc.sce";
dname = get_absolute_file_path(filename);
editor ( dname + filename );
